import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React from 'react';
import TopBar from './topBar';
import BottomBar from './bottomBar';
import MainArea from './mainArea';
import LeftArea from './leftArea';
import RightArea from './rightArea';
import ToolBarArea from './toolBar';
import './workbench.less';
var Workbench = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Workbench, _React$Component);
  function Workbench() {
    return _React$Component.apply(this, arguments) || this;
  }
  var _proto = Workbench.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: "vitis-workbench"
    }, /*#__PURE__*/React.createElement(TopBar, {
      topLeftAreaItems: this.props.skeleton.topLeftArea.items,
      topRightAreaItems: this.props.skeleton.topRightArea.items,
      topCenterAreaItems: this.props.skeleton.topCenterArea.items
    }), /*#__PURE__*/React.createElement("div", {
      className: "vitis-workbench-body"
    }, /*#__PURE__*/React.createElement(LeftArea, {
      items: this.props.skeleton.leftArea.items
    }), /*#__PURE__*/React.createElement("div", {
      className: "vitis-workbench-center"
    }, /*#__PURE__*/React.createElement(ToolBarArea, {
      items: this.props.skeleton.toolbarArea.items
    }), /*#__PURE__*/React.createElement(MainArea, {
      componentSpecMap: this.props.project.designer.componentSpecMap
    })), /*#__PURE__*/React.createElement(RightArea, {
      designer: this.props.project.designer
    })), /*#__PURE__*/React.createElement(BottomBar, {
      items: this.props.skeleton.bottomArea.items
    }));
  };
  return Workbench;
}(React.Component);
export { Workbench as default };